%global forgeurl https://gitlab.com/flipstarter/flipstarter-electron-cash
%global tag v%{version}

Name:     electron-cash-flipstarter
Version:  1.2.0
Release:  1%{?dist}
Summary:  Flipstarter Electron Cash Plugin
License:  MIT

%forgemeta
URL:     %{forgeurl}
Source0: %{forgesource}

BuildArch: noarch
BuildRequires: python3-devel
BuildRequires: unzip

BuildRequires: electron-cash
Requires: electron-cash

%description
A plugin for Electron Cash that allows you to join crowdsourced funding of projects.
This plugin is licensed under the MIT open source license.
EXPERMIMENTAL: Use at own risk.

%prep
%forgesetup

%build
%{python3} ./contrib/deterministic_zip.py

%install
install -Dd %{buildroot}%{python3_sitelib}/electroncash_plugins/
ls
unzip flipstarter-1.2.zip -x manifest.json -d %{buildroot}%{python3_sitelib}/electroncash_plugins/

%check
%{python3} -m unittest discover


%files
%{python3_sitelib}/electroncash_plugins/flipstarter


%changelog
* Tue Apr 28 2020 Jonny Heggheim <hegjon@gmail.com>
-
